Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Environment_var Class Reference

CORBA_Environment_var. More...

`#include <Environment.h>`

Collaboration diagram for CORBA_Environment_var:

[legend]
List of all members.

## Public Methods
| CORBA_Environment_var (void)
| default constructor copy constructor destructor. More...
| CORBA_Environment_var (CORBA_Environment_ptr)
| CORBA_Environment_var (const CORBA_Environment_var &)
| ~CORBA_Environment_var (void)
CORBA_Environment_var & | operator= (CORBA_Environment_ptr)
CORBA_Environment_var & | operator= (const CORBA_Environment_var &)
CORBA_Environment_ptr | operator-> (void) const
| operator const CORBA_Environment_ptr & () const
| in, inout, out, _retn. More...
| operator CORBA_Environment_ptr & ()
CORBA_Environment_ptr | in (void) const
CORBA_Environment_ptr & | inout (void)
CORBA_Environment_ptr & | out (void)
CORBA_Environment_ptr | _retn (void)
CORBA_Environment_ptr | ptr (void) const
## Private Attributes
CORBA_Environment_ptr | ptr_

## Detailed Description

CORBA_Environment_var.

Provide for automatic storage deallocation on going out of scope.

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Environment_var::CORBA_Environment_var | ( | void |  | ) |

| default constructor copy constructor destructor.

ACE_INLINE CORBA_Environment_var::CORBA_Environment_var | ( | CORBA_Environment_ptr | p | ) |

ACE_INLINE CORBA_Environment_var::CORBA_Environment_var | ( | const CORBA_Environment_var & | p | ) |

ACE_INLINE CORBA_Environment_var::~CORBA_Environment_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE CORBA_Environment_ptr CORBA_Environment_var::_retn | ( | void |  | ) |

ACE_INLINE CORBA_Environment_ptr CORBA_Environment_var::in | ( | void |  | ) | const

ACE_INLINE CORBA_Environment_ptr & CORBA_Environment_var::inout | ( | void |  | ) |

ACE_INLINE CORBA_Environment_var::operator const CORBA_Environment_ptr & | ( |  | ) | const

| in, inout, out, _retn.

ACE_INLINE CORBA_Environment_var::operator CORBA_Environment_ptr & | ( |  | ) |

ACE_INLINE CORBA_Environment_ptr CORBA_Environment_var::operator-> | ( | void |  | ) | const

CORBA_Environment_var & CORBA_Environment_var::operator= | ( | const CORBA_Environment_var & | r | ) |

CORBA_Environment_var & CORBA_Environment_var::operator= | ( | CORBA_Environment_ptr | p | ) |

ACE_INLINE CORBA_Environment_ptr & CORBA_Environment_var::out | ( | void |  | ) |

ACE_INLINE CORBA_Environment_ptr CORBA_Environment_var::ptr | ( | void |  | ) | const

## Member Data Documentation

CORBA_Environment_ptr CORBA_Environment_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Environment.h
- Environment.cpp
- Environment.i